use super::handle::*;

#[derive(Copy, Clone, PartialEq)]
pub struct MeshInstance {
    pub mesh: MeshHandle,
    pub material: MaterialHandle,
    pub transform: glam::Mat4,
}

#[derive(Copy, Clone, PartialEq)]
pub struct PointLight {
    pub center: glam::Vec3A,
    pub intensity: glam::Vec3A,
}

#[derive(Copy, Clone, PartialEq)]
pub struct Scene<'a> {
    pub meshes: &'a [MeshInstance],
    pub point_lights: &'a [PointLight],
}
